Subject: Re: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major mode name

From: Phil Sainty <[email-masked]>
Date: Mon, 22 Apr 2019 23:42:12 +1200

On 22/04/19 10:57 PM, Dmitry Gutov wrote:
> The downside is that the "show location but don't switch windows" action
> becomes harder to invoke: you have to mouse-1 click, wait at least 450ms
> (by default), then release.

Perhaps there could be a new user option to choose which of the two
actions should be used by mouse-2 and mouse-1, and then users with
mouse-1-click-follows-link disabled could configure their preferred
action for mouse-2.

In any case, the NEWS will need to point out the change of behaviour,
so it could always suggest custom key bindings which users could employ
to get different behaviour, if that's simplest.

-Phil